Subject: bug#56683: 29.0.50; long lines fix doesn't work correctly when lines are truncated

From: Gregory Heytings <[email-masked]>
Date: Tue, 26 Jul 2022 12:17:33 +0000

>
> Maybe optionally.  Or maybe displaying a message/warning suggesting 
> that.  I don't like disabling truncate-lines unconditionally in such 
> buffers, I prefer leaving that to the user.
>

The user would still have the choice to disable the automatic disabling by 
setting long-line-threshold to nil.

>
> And I think we should use INT_MAX instead of DISP_INFINITY, for the 
> purpose of auto-hscroll.  (There are several other uses of that macro, 
> but I didn't yet look at all of them to see if it would make sense to 
> increase DISP_INFINITY itself.)
>

But you said earlier that this was undesirable because it would affect 
performance?